Bug 1096162 - No support in mate caja
Summary: No support in mate caja
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-09 10:22 UTC by Patrick Monnerat
Modified: 2016-02-28 12:23 UTC (History)
3 users (show)

Fixed In Version: rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22 rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-28 08:23:47 UTC


Attachments (Terms of Use)
Patch to add a working caja plugin (22.45 KB, patch)
2014-05-09 10:22 UTC, Patrick Monnerat
no flags Details | Diff
Spec file patch (3.34 KB, patch)
2014-05-09 10:24 UTC, Patrick Monnerat
no flags Details | Diff

Description Patrick Monnerat 2014-05-09 10:22:38 UTC
Created attachment 893992 [details]
Patch to add a working caja plugin

Description of problem:
The caja subpackage is not enabled because the provided plugin is not compatible with the current python lib.

Version-Release number of selected component (if applicable):
0.16-1

Please find as attachments:
- A working caja plugin
- A patch for the spec file: this also sets noarch to subpackages caja and nautilus, + fixes BZ #1083043. You'll have to rework it for proper release numbering.

Comment 1 Patrick Monnerat 2014-05-09 10:24:48 UTC
Created attachment 893993 [details]
Spec file patch

Comment 2 Wolfgang Ulbrich 2014-12-01 16:57:27 UTC
any news Christopher?

Comment 3 Fedora End Of Life 2015-05-29 11:48:14 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Patrick Monnerat 2015-05-29 12:48:06 UTC
F20 --> rawhide.
Still no subpackage supporting a caja plugin :-(

Comment 5 Jan Kurik 2015-07-15 14:40:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Patrick Monnerat 2016-01-29 17:41:00 UTC
In F23, rpm spec version 0.16-4 still does not provide a caja plugin package, but the upstream plugin is working, thus only the spec file needs update. I did not check in F22.

Comment 7 Raphael Groner 2016-02-02 00:26:06 UTC
We need a new thunarx-python package that supports noarch plugins.

Comment 8 Fedora Update System 2016-02-02 19:17:26 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4882588005

Comment 9 Fedora Update System 2016-02-02 19:17:26 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f817392d97

Comment 10 Fedora Update System 2016-02-03 16:25:06 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 11 Fedora Update System 2016-02-03 16:25:06 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 12 Fedora Update System 2016-02-03 17:20:56 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cb4088263

Comment 13 Fedora Update System 2016-02-03 22:59:07 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 14 Fedora Update System 2016-02-03 23:24:58 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 15 Fedora Update System 2016-02-04 09:22:38 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 16 Fedora Update System 2016-02-04 09:24:38 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 thunarx-python-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 17 Fedora Update System 2016-02-05 01:23:30 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 18 Fedora Update System 2016-02-05 01:24:45 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 19 Fedora Update System 2016-02-05 02:19:12 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cb4088263

Comment 20 Fedora Update System 2016-02-15 20:47:18 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 21 Fedora Update System 2016-02-15 20:49:22 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 22 Fedora Update System 2016-02-15 20:52:34 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 23 Fedora Update System 2016-02-17 06:25:12 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d22c19817e

Comment 24 Fedora Update System 2016-02-17 06:28:21 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 25 Fedora Admin XMLRPC Client 2016-02-27 18:58:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 26 Fedora Update System 2016-02-28 08:23:26 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2016-02-28 12:23:11 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.